function [objective_2,new_left_w_j] = transport_problem_2_l2_VK(y,q,x,fid)
   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Step 2
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

x_num=size(x,2); 
y_num=size(y,2);

A_2=zeros(x_num,y_num);
for i=1:x_num
   for j=1:y_num
      %a_loc = sum(abs(y(:,j)-x(:,i)));
      a_loc = sqrt(sum( (y(:,j)-x(:,i)).^2 ));
      A_2(i,j)=a_loc;
   end
end

new_left_w_j = zeros(x_num,y_num);

for j=1:y_num
    %pos_i=[];
    pos_i = find(A_2(:,j)==min(A_2(:,j)));
    new_left_w_j(pos_i,j) = q(j);
end

objective_2=sum(sum(A_2.*new_left_w_j));

if fid>0, i=fprintf(fid, 'Objective_2               %17.10g\n',objective_2); end

end % function transport_problem_2_l2

%==========================================================================
